#
# spec file for package GeneralUser
#
# Copyright (c) 2019 Packman Team <packman@links2linux.de>
# Copyright (c) 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           GeneralUser
Version:        1.471
Release:        1699.1.pm.4
Summary:        Soundfont and MIDI Sample
License:        SUSE-Permissive
URL:            http://www.schristiancollins.com/generaluser.php
Source0:        https://www.dropbox.com/s/4x27l49kxcwamp5/GeneralUser_GS_%{version}.zip
BuildRequires:  dos2unix
BuildRequires:  unzip
Requires:       awesfx
Provides:       soundfont
BuildArch:      noarch

%description
This package contains the generaluser sound font and samplefiles

%prep
%setup -q -T -c
unzip -j -q %{SOURCE0}
dos2unix *.txt
chmod 644 *txt

%build

%install
mkdir -pv %{buildroot}%{_datadir}/sounds/mid
mkdir -pv %{buildroot}%{_datadir}/sounds/sf2
install -m 644 "GeneralUser GS v%{version}.sf2" %{buildroot}%{_datadir}/sounds/sf2/GeneralUser_GS.sf2
install -m 644 "GUTest.mid" %{buildroot}%{_datadir}/sounds/mid
install -m 644 "All Night Long.mid" %{buildroot}%{_datadir}/sounds/mid/All_Night_Long.mid
install -m 644 "earthday.mid" %{buildroot}%{_datadir}/sounds/mid/earthday.mid
install -m 644 "majicalljarr.mid" %{buildroot}%{_datadir}/sounds/mid/majicalljarr.mid
install -m 644 "Take 5 - by Paul Desmond.mid" %{buildroot}%{_datadir}/sounds/mid/Take_5_-_by_Paul_Desmond.mid
install -m 644 "The Christmas Song.mid" %{buildroot}%{_datadir}/sounds/mid/The_Christmas_Song.mid
install -m 644 "To Make the End of Battle.mid" %{buildroot}%{_datadir}/sounds/mid/To_Make_the_End_of_Battle.mid

%files
%license LICENSE.txt
%doc CHANGELOG.txt README.txt
%dir %{_datadir}/sounds/sf2
%dir %{_datadir}/sounds/mid
%{_datadir}/sounds/sf2/*
%{_datadir}/sounds/mid/*

%changelog
* Wed Oct 23 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 1.471
  * Fixed missing chimes (C6) in Power and Orchestral drum kits.
  * Fixed Marimba crashing MuseScore.
  version 1.47:
  * Unified the FluidSynth and MuseScore versions into a single
    version now that MuseScore bug #72091
    (https://musescore.org/node/72091) has been fixed. This
    version has also been verified This version has also been
    verified (and slightly tweaked) to work with the latest
    SynthFont2, which now supports SoundFont 2.01 modulators!
    Requires SynthFont2 2.0.3.2 or later, or VSTSynthFont 1.081
    or later.
  version 1.46:
  * Fixed high-pitched squeal in Electric Grand
  * Improved kicks and snares in Standard, Standard 2, Room,
    Power and Electronic drum kits
  * Balanced C5 sample in the Bassoon to fit better with the
    adjacent samples
  * Improved the Harpsichord and fixed weird loop buzz
  * Improved the Tremolo Strings
  * Slight tweak to attack on Accordion
  * Improved clicking loops in Fretless Bass
  * Fixed bad loops in all strings
  * Fixed Recorder release (it was too short)
  * Fixed weird attack and velocity->filter response in Chiffer
    Lead
  * Fixed release in upper extreme range of Muted Trumpet
  * Fixed flat loop in Acoustic Bass
  version 1.45:
  * Tweaked velocity scaling in FluidSynth version to be less
    extreme between FF and PP playing.
  * Fixed Slap Bass 1 & 2 release to avoid clicks in FluidSynth.
  version 1.44:
  * New license
  * Fixed loops in Concert Choir
  * Improved Bagpipes
  * FluidSynth/MuseScore version: improved programming of
    harpsichord, trumpet, trombone, muted trumpet, and pan flute.
  * MuseScore version: adjusted balance of orchestral instruments
  * MuseScore version: modified default drum kit with orchestral
    bass drum, snare and cymbals.
- Spec cleanup
* Mon Sep  7 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Tue Jul 21 2009 Manfred.Tremmel@iiv.de
- included some changes from Pedro Lopez-Cabanillas to build it
  also on older SUSE distributions
* Sat Jul 18 2009 Manfred.Tremmel@iiv.de
- initial release
